Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.bibledesktop.book
Class BibleComboBoxModelSet

    java.lang.Object
      org.crosswire.bibledesktop.book.BibleComboBoxModelSet

All Implemented Interfaces:
  Serializable

    public class BibleComboBoxModelSet

extends Object
implements Serializable

A set of correctly constructed and linked BibleComboBoxModels.

Author:
  Joe Walker, DM Smith
See Also:
  `for license details.`, Serialized Form

Nested Class Summary
`(package private) class` | `BibleComboBoxModelSet.CustomItemListener` For when a selection is made

Field Summary
`protected JComboBox` | `cboBook`
`protected JComboBox` | `cboChapter`
`private JComboBox` | `cboVerse`
`private ItemListener` | `cil`
`protected EventListenerList` | `listeners`
`protected BibleComboBoxModel` | `mdlBook`
`protected BibleComboBoxModel` | `mdlChapter`
`protected BibleComboBoxModel` | `mdlVerse`
`private static long` | `serialVersionUID` Serialization ID
`private org.crosswire.jsword.passage.Verse` | `verse`

Constructor Summary
`BibleComboBoxModelSet(JComboBox books, JComboBox chapters, JComboBox verses)`

Method Summary
`void` | `addActionListener(ActionListener li)` Add a listener to the list that's notified each time a change to the data model occurs.
`protected void` | `fireContentsChanged()` Called after the verse changes.
`org.crosswire.jsword.passage.Verse` | `getVerse()`
`private void` | `readObject(ObjectInputStream is)` Serialization support.
`void` | `removeActionListener(ActionListener li)` Remove a listener from the list that's notified each time a change to the data model occurs.
`void` | `setBookComboBox(JComboBox cboBook)` The book combo box
`void` | `setChapterComboBox(JComboBox cboChapter)` The chapter combo box
`void` | `setVerse(org.crosswire.jsword.passage.Verse newverse)` Set the combo-boxes to a new verse
`void` | `setVerseComboBox(JComboBox cboVerse)` The verse combo box

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### verse

    private org.crosswire.jsword.passage.Verse verse

### cboBook

    protected JComboBox cboBook

### cboChapter

    protected JComboBox cboChapter

### cboVerse

    private JComboBox cboVerse

### mdlBook

    protected BibleComboBoxModel mdlBook

### mdlChapter

    protected BibleComboBoxModel mdlChapter

### mdlVerse

    protected BibleComboBoxModel mdlVerse

### listeners

    protected EventListenerList listeners

### cil

    private transient ItemListener cil

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### BibleComboBoxModelSet

    public BibleComboBoxModelSet(JComboBox books,
                                 JComboBox chapters,
                                 JComboBox verses)

Method Detail

### setBookComboBox

    public final void setBookComboBox(JComboBox cboBook)

  The book combo box

### setChapterComboBox

    public final void setChapterComboBox(JComboBox cboChapter)

  The chapter combo box

### setVerseComboBox

    public final void setVerseComboBox(JComboBox cboVerse)

  The verse combo box

### getVerse

    public org.crosswire.jsword.passage.Verse getVerse()

  Returns:
    Verse

### setVerse

    public void setVerse(org.crosswire.jsword.passage.Verse newverse)

  Set the combo-boxes to a new verse

### addActionListener

    public void addActionListener(ActionListener li)

  Add a listener to the list that's notified each time a change to the data model occurs.

  Parameters:
    `li` - the ListDataListener

### removeActionListener

    public void removeActionListener(ActionListener li)

  Remove a listener from the list that's notified each time a change to the data model occurs.

  Parameters:
    `li` - the ListDataListener

### fireContentsChanged

    protected void fireContentsChanged()

  Called after the verse changes.

  See Also:
    `EventListenerList`, `DefaultListModel`

### readObject

    private void readObject(ObjectInputStream is)
                     throws IOException,
                            ClassNotFoundException

  Serialization support.

  Parameters:
    `is` -
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD